from pydantic import BaseModel
from datetime import datetime
from typing import Optional
from app.models.inventory_transaction import TransactionType

class InventoryTransactionBase(BaseModel):
    transaction_type: TransactionType
    quantity: int
    unit_cost: Optional[float] = None
    total_cost: Optional[float] = None
    reference_number: Optional[str] = None
    notes: Optional[str] = None
    item_id: int

class InventoryTransactionCreate(InventoryTransactionBase):
    pass

class InventoryTransaction(InventoryTransactionBase):
    id: int
    user_id: int
    created_at: datetime
    
    class Config:
        from_attributes = True